import { HTMLBarChartRenderer } from './bar_chart';
import { RendererFactory } from './renderer_factory';
import { ColumnSparkLineRenderOptions, StyleDefaults } from './data_styles';
import { RendererOptions } from './renderer_types';
import { Renderer } from './renderer';
import { Cell, Field } from '../data_tree';
import type * as lite from 'vega-lite';
export declare class HTMLColumnSparkLineRenderer extends HTMLBarChartRenderer {
    getSize(): {
        height: number;
        width: number;
    };
    getVegaLiteSpec(data: Cell): lite.TopLevelSpec;
}
export declare class ColumnSparkLineRendererFactory extends RendererFactory<ColumnSparkLineRenderOptions> {
    static readonly instance: ColumnSparkLineRendererFactory;
    isValidMatch(field: Field): boolean;
    create(document: Document, styleDefaults: StyleDefaults, rendererOptions: RendererOptions, _field: Field, options: ColumnSparkLineRenderOptions, timezone?: string): Renderer;
    get rendererName(): string;
}
